org.apache.sysds.parser.dml

## Class DmlParser.BuiltinFunctionExpressionContext

- java.lang.Object
- - org.antlr.v4.runtime.RuleContext
  - - org.antlr.v4.runtime.ParserRuleContext
    - - org.apache.sysds.parser.dml.DmlParser.ExpressionContext
      - - org.apache.sysds.parser.dml.DmlParser.BuiltinFunctionExpressionContext

- All Implemented Interfaces:
    org.antlr.v4.runtime.tree.ParseTree, org.antlr.v4.runtime.tree.RuleNode, org.antlr.v4.runtime.tree.SyntaxTree, org.antlr.v4.runtime.tree.Tree
  Enclosing class:
    DmlParser

      public static class DmlParser.BuiltinFunctionExpressionContext
      extends DmlParser.ExpressionContext

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `org.antlr.v4.runtime.Token` | `name`
    `DmlParser.ParameterizedExpressionContext` | `parameterizedExpression`
    `List<DmlParser.ParameterizedExpressionContext>` | `paramExprs`

    - ### Fields inherited from class org.apache.sysds.parser.dml.DmlParser.ExpressionContext

      `info`

    - ### Fields inherited from class org.antlr.v4.runtime.ParserRuleContext

      `children, exception, start, stop`

    - ### Fields inherited from class org.antlr.v4.runtime.RuleContext

      `EMPTY, invokingState, parent`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BuiltinFunctionExpressionContext(DmlParser.ExpressionContext ctx)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `enterRule(org.antlr.v4.runtime.tree.ParseTreeListener listener)`
    `void` | `exitRule(org.antlr.v4.runtime.tree.ParseTreeListener listener)`
    `org.antlr.v4.runtime.tree.TerminalNode` | `ID()`
    `List<DmlParser.ParameterizedExpressionContext>` | `parameterizedExpression()`
    `DmlParser.ParameterizedExpressionContext` | `parameterizedExpression(int i)`

    - ### Methods inherited from class org.apache.sysds.parser.dml.DmlParser.ExpressionContext

      `copyFrom, getRuleIndex`

    - ### Methods inherited from class org.antlr.v4.runtime.ParserRuleContext

      `addChild, addChild, addChild, addErrorNode, copyFrom, getChild, getChild, getChildCount, getParent, getRuleContext, getRuleContexts, getSourceInterval, getStart, getStop, getToken, getTokens, removeLastChild, toInfoString`

    - ### Methods inherited from class org.antlr.v4.runtime.RuleContext

      `accept, depth, getAltNumber, getPayload, getRuleContext, getText, isEmpty, setAltNumber, toString, toString, toString, toString, toString, toStringTree, toStringTree, toStringTree`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### name

          public org.antlr.v4.runtime.Token name

    - #### parameterizedExpression

          public DmlParser.ParameterizedExpressionContext parameterizedExpression

    - #### paramExprs

          public List<DmlParser.ParameterizedExpressionContext> paramExprs

  - ### Constructor Detail

    - #### BuiltinFunctionExpressionContext

          public BuiltinFunctionExpressionContext(DmlParser.ExpressionContext ctx)

  - ### Method Detail

    - #### ID

          public org.antlr.v4.runtime.tree.TerminalNode ID()

    - #### parameterizedExpression

          public List<DmlParser.ParameterizedExpressionContext> parameterizedExpression()

    - #### parameterizedExpression

          public DmlParser.ParameterizedExpressionContext parameterizedExpression(int i)

    - #### enterRule

          public void enterRule(org.antlr.v4.runtime.tree.ParseTreeListener listener)

      Overrides:
        `enterRule` in class `org.antlr.v4.runtime.ParserRuleContext`

    - #### exitRule

          public void exitRule(org.antlr.v4.runtime.tree.ParseTreeListener listener)

      Overrides:
        `exitRule` in class `org.antlr.v4.runtime.ParserRuleContext`

Copyright © 2021 The Apache Software Foundation. All rights reserved.